[26939] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r25843 - in trunk/debathena/debathena: . thirdparty thirdparty/debian thirdparty/lists

daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Thu Mar 7 16:46:50 2013

Date: Thu, 7 Mar 2013 16:46:43 -0500
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201303072146.r27LkhwV032629@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: jdreed
Date: 2013-03-07 16:46:43 -0500 (Thu, 07 Mar 2013)
New Revision: 25843

Added:
   trunk/debathena/debathena/thirdparty/
   trunk/debathena/debathena/thirdparty/debian/
   trunk/debathena/debathena/thirdparty/debian/changelog
   trunk/debathena/debathena/thirdparty/debian/compat
   trunk/debathena/debathena/thirdparty/debian/control
   trunk/debathena/debathena/thirdparty/debian/copyright
   trunk/debathena/debathena/thirdparty/debian/debathena-thirdparty.install
   trunk/debathena/debathena/thirdparty/debian/debathena-thirdparty.postinst
   trunk/debathena/debathena/thirdparty/debian/rules
   trunk/debathena/debathena/thirdparty/debian/thirdparty
   trunk/debathena/debathena/thirdparty/generate-package-list.pl
   trunk/debathena/debathena/thirdparty/lists/
   trunk/debathena/debathena/thirdparty/lists/common
   trunk/debathena/debathena/thirdparty/lists/lucid
   trunk/debathena/debathena/thirdparty/lists/natty
   trunk/debathena/debathena/thirdparty/lists/precise
Log:
New implementation of thirdparty (Trac: #1156)
Allow removal of thirdparty packages in chroot (Trac: #372)


Added: trunk/debathena/debathena/thirdparty/debian/changelog
===================================================================
--- trunk/debathena/debathena/thirdparty/debian/changelog	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/debian/changelog	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,5 @@
+debathena-thirdparty (1.0) unstable; urgency=low
+
+  * Initial release (Trac: #1156)
+
+ -- Jonathan Reed <jdreed@mit.edu>  Thu, 07 Mar 2013 14:50:54 -0500

Added: trunk/debathena/debathena/thirdparty/debian/compat
===================================================================
--- trunk/debathena/debathena/thirdparty/debian/compat	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/debian/compat	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1 @@
+7

Added: trunk/debathena/debathena/thirdparty/debian/control
===================================================================
--- trunk/debathena/debathena/thirdparty/debian/control	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/debian/control	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,17 @@
+Source: debathena-thirdparty
+Section: debathena/base
+Priority: extra
+Standards-Version: 3.9.1
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: cdbs, debhelper (>= 6)
+
+Package: debathena-thirdparty
+Architecture: all
+Depends: libapt-pkg-perl, ${misc:Depends}
+Replaces: debathena-thirdparty-accessories, debathena-thirdparty-audio, debathena-thirdparty-communication, debathena-thirdparty-graphics, debathena-thirdparty-information, debathena-thirdparty-languages, debathena-thirdparty-libraries, debathena-thirdparty-numerical, debathena-thirdparty-programming, debathena-thirdparty-simulation, debathena-thirdparty-sound, debathena-thirdparty-text, debathena-thirdparty-utilities
+Breaks: debathena-thirdparty-accessories, debathena-thirdparty-audio, debathena-thirdparty-communication, debathena-thirdparty-graphics, debathena-thirdparty-information, debathena-thirdparty-languages, debathena-thirdparty-libraries, debathena-thirdparty-numerical, debathena-thirdparty-programming, debathena-thirdparty-simulation, debathena-thirdparty-sound, debathena-thirdparty-text, debathena-thirdparty-utilities
+Description: Debathena thirdparty software, monolithic version
+ This ships a suite of software, known as "third party software".  Its
+ only purpose is to install software already available in Ubuntu or
+ Debian.  It is only intended for use on public, IS&T-maintained
+ workstations.

Added: trunk/debathena/debathena/thirdparty/debian/copyright
===================================================================
--- trunk/debathena/debathena/thirdparty/debian/copyright	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/debian/copyright	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,31 @@
+This software and its Debian packaging are licensed as follows:
+
+Copyright (c) 2012, Massachusetts Institute of Technology
+All rights reserved.
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+    * Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+    * Redistributions in binary form must reproduce the above
+      copyright notice, this list of conditions and the following
+      disclaimer in the documentation and/or other materials provided
+      with the distribution.
+    * Neither the name of the Massachusetts Institute of Technology
+      nor the names of its contributors may be used to endorse or
+      promote products derived from this software without specific
+      prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL MASSACHUSETTS
+INSTITUTE OF TECHNOLOGY BE LIABLE FOR ANY DIRECT, INDIRECT,
+INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
+OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
+TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
+USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
+DAMAGE.

Added: trunk/debathena/debathena/thirdparty/debian/debathena-thirdparty.install
===================================================================
--- trunk/debathena/debathena/thirdparty/debian/debathena-thirdparty.install	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/debian/debathena-thirdparty.install	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,3 @@
+dependencies var/lib/debathena-thirdparty
+recommendations var/lib/debathena-thirdparty
+debian/thirdparty usr/lib/debathena-thirdparty

Added: trunk/debathena/debathena/thirdparty/debian/debathena-thirdparty.postinst
===================================================================
--- trunk/debathena/debathena/thirdparty/debian/debathena-thirdparty.postinst	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/debian/debathena-thirdparty.postinst	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postinst script for debathena-thirdparty
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	touch /var/lib/debathena-thirdparty/update_required
+	echo "ok|Package configured" > /var/lib/debathena-thirdparty/status
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Added: trunk/debathena/debathena/thirdparty/debian/rules
===================================================================
--- trunk/debathena/debathena/thirdparty/debian/rules	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/debian/rules	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,10 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+
+common-build-indep::
+	./generate-package-list.pl
+
+clean::
+	rm -f recommendations dependencies
+


Property changes on: trunk/debathena/debathena/thirdparty/debian/rules
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/debathena/debathena/thirdparty/debian/thirdparty
===================================================================
--- trunk/debathena/debathena/thirdparty/debian/thirdparty	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/debian/thirdparty	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,123 @@
+#!/bin/sh
+#
+# debathena-thirdparty-installer 
+
+LISTDIR=/var/lib/debathena-thirdparty
+LOG=/var/log/athena-thirdparty
+STATFILE=/var/lib/debathena-thirdparty/status
+FLAGFILE=/var/lib/debathena-thirdparty/update_required
+
+status=ok
+statusmsg="Nothing to do"
+
+complain() {
+    status="error"
+    statusmsg="$*"
+}
+
+whine() {
+    status="warning"
+    statusmsg="$*"
+}
+	
+save_state() {
+    rm -f $statfile
+    echo "$status|$statusmsg" > $STATFILE
+}  
+
+save_success() {
+    status="ok"
+    statusmsg="$*"
+}
+
+finish() {
+    echo "*Ending thirdparty installation at $(date)"
+    echo "-----"
+    echo
+    rm -f /var/run/athena-nologin
+    save_state
+    exit
+}
+
+should_install() {
+    # Removing any debathena package is not allowed.
+    if apt-get -s install "$@" | egrep -q '^Remv debathena-'; then
+	return 1
+    else
+	return 0
+    fi
+}
+	
+
+
+
+install() {
+    if [ 0 != "$(id -u)" ]; then
+	echo "Root privileges required for installation." >&2
+	exit 1
+    fi
+    touch /var/run/athena-nologin
+    exec 3>&1
+    exec >> $LOG 2>&1
+    trap finish EXIT
+    echo "** Beginning thirdparty installation at $(date)"
+    export DEBIAN_FRONTEND=noninteractive
+    echo "** Required package list:"
+    cat "${LISTDIR}/dependencies"
+    echo "** Trying monolithic transaction..."
+    if should_install $(cat ${LISTDIR}/dependencies) &&
+	apt-get -y install $(cat ${LISTDIR}/dependencies); then
+	echo "**Monolithic transaction succeeded"
+    else
+	echo "** Installing required packages one by one..."
+	for pkg in $(cat "${LISTDIR}/dependencies"); do
+	    echo "** Installing $pkg..."
+	    if ! should_install $pkg; then
+		echo "** Installation of $pkg is IMPOSSIBLE"
+		complain "Some required packages failed to install"
+	    else
+		apt-get -y install $pkg
+		if [ $? != 0 ]; then
+		    echo "** Installation of $pkg FAILED"
+		    complain "Some required packages failed to install"
+		fi
+	    fi
+	done
+    fi
+    echo "** Recommended package list:"
+    cat "${LISTDIR}/recommendations"
+    echo "** Installing recommended packages..."
+    for pkg in $(cat "${LISTDIR}/recommendations"); do
+	echo "** Installing $pkg..."
+	if ! should_install $pkg; then
+	    echo "** Installation of $pkg is IMPOSSIBLE"
+	    whine "Some optional packages failed to install"
+	else
+	    apt-get -y install $pkg
+	    if [ $? != 0 ]; then
+		echo "** Installation of $pkg FAILED"
+		whine "Some optional packages failed to install"
+	    fi
+	fi
+    done
+    rm $FLAGFILE
+    save_success "Packages installed ok"
+}
+
+case "$1" in 
+    install)
+	install
+	;;
+    up-to-date)
+	[ -e "$FLAGFILE" ] && exit 1
+	exit 0
+	;;
+    *)
+	echo "Usage: $0 [install | up-to-date]"
+	exit 1
+	;;
+esac
+exit 0
+
+
+    


Property changes on: trunk/debathena/debathena/thirdparty/debian/thirdparty
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/debathena/debathena/thirdparty/generate-package-list.pl
===================================================================
--- trunk/debathena/debathena/thirdparty/generate-package-list.pl	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/generate-package-list.pl	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,149 @@
+#!/usr/bin/perl
+
+$| = 1;
+use warnings;
+use strict;
+use locale; # for sort
+use Cwd qw(abs_path);
+use File::Basename;
+
+use Getopt::Std;
+use AptPkg::Config '$_config';
+use AptPkg::Cache;
+
+my $path = dirname(abs_path($0));
+our ($opt_n, $opt_l, $opt_d) = (0, 
+				$path . "/lists",
+				$path);
+
+getopts('nl:d:');
+
+sub debug {
+    if ($opt_n) {
+	print join(' ', 'D:', @_, "\n");
+    }
+}
+
+my $codename = `lsb_release -sc`;
+die "Can't determine codename" unless ($? == 0);
+chomp($codename);
+
+(-d $opt_l) || die "$opt_l is not a directory";
+(-d $opt_d) || die "$opt_d is not a directory";
+
+print "Using lists in $opt_l\nWriting output files to $opt_d\n";
+
+debug("Initializing APT cache");
+# Initialize the APT configuration
+$_config->init;
+my $cache = AptPkg::Cache->new;
+my $policy = $cache->policy;
+
+my %packages = ();
+my %depends = ();
+
+open(COMMON, join('/', $opt_l, 'common')) || die "Can't open $opt_l/common";
+debug("Reading 'common' file...");
+while (<COMMON>) {
+    chomp;
+    s/^\s+//;
+    s/\s+$//;
+    next if /^#/;
+    next unless /\S/;
+    if (/^-/) {
+	warn "Ignoring invalid package exclusion in the common file, line $.";
+	next;
+    } 
+    if (/^(\S+) \| (\S+)$/) {
+	debug("Examining conditional line: $_");
+	foreach my $p ($1, $2) {
+	    debug("Checking for $p");
+	    if ($cache->{$p} && $cache->{$p}->{VersionList}) {
+		debug("Adding $p to dependencies");
+		$packages{$p} = 1;
+		last;
+	    }
+	}
+	unless (exists($packages{$1}) || exists($packages{$2})) {
+	    warn "Could not satisfy conditional dependency: $_!";
+	}
+    } elsif (/^(\S+)(?: (\S+))+$/) {
+	my ($pkg1, @rest) = (split(' ', $_));
+	$packages{$pkg1} = 1;
+	$depends{$pkg1} = \@rest;
+    } elsif (/^\?(\S+)$/) {
+	debug("Adding $1 to recommendations");
+	$packages{$1} = 2;
+    } else {
+	debug("Adding $_ to dependencies");
+	$packages{$_} = 1;
+    }
+}
+close(COMMON);
+
+open(DIST, join('/', $opt_l, $codename)) || die "Can't open $opt_l/$codename";
+debug("Reading distro-specific file");
+while (<DIST>) {
+    chomp;
+    s/^\s+//;
+    s/\s+$//;
+    next if /^#/;
+    next unless /\S/;
+    if (/^-(\S+)$/) {
+	if (exists($packages{$1})) {
+	    debug("Deleting $1 from package list.");
+	    delete($packages{$1});
+	} else {
+	    warn("Package $1 is not in package list, so can't remove it.");
+	}
+    } elsif (/^\?(\S+)$/) {
+	debug("Adding $1 to recommendations");
+	$packages{$1} = 2;
+    } else {
+	debug("Adding $_ to dependencies");
+	$packages{$_} = 1;
+    }
+}
+close(DIST);
+
+foreach my $pkgname (sort(keys(%packages))) {
+    my $pkg = $cache->{$pkgname};
+    if (! $pkg) {
+	debug("Removing $pkgname as it can't be found in the APT cache.");
+	delete($packages{$pkgname});
+	if (exists($depends{$pkgname})) {
+	    foreach (@{$depends{$pkgname}}) {
+		debug("Removing $_ because we removed $pkgname");
+		delete($packages{$_});
+	    }
+	}
+	next;
+    }
+    if (! $pkg->{VersionList}) {
+	debug("Removing $pkgname as it has no version candidate");
+	delete($packages{$pkgname});
+	if (exists($depends{$pkgname})) {
+	    foreach (@{$depends{$pkgname}}) {
+		debug("Removing $_ because we removed $pkgname");
+		delete($packages{$_});
+	    }
+	}
+	next;
+    }
+}
+
+debug("Writing out lists");
+open(DEPS, '>', join('/', $opt_d, 'dependencies')) || die "Can't open $opt_d/dependencies for writing";
+open(RECS, '>', join('/', $opt_d, 'recommendations')) || die "Can't open $opt_d/dependencies for writing";
+foreach (sort(keys(%packages))) {
+    if ($packages{$_} == 2) {
+	print RECS "$_\n";
+    } else {
+	print DEPS "$_\n";
+    }
+}
+close(DEPS);
+close(RECS);
+print "Done.\n";
+exit 0;
+	


Property changes on: trunk/debathena/debathena/thirdparty/generate-package-list.pl
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/debathena/debathena/thirdparty/lists/common
===================================================================
--- trunk/debathena/debathena/thirdparty/lists/common	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/lists/common	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,326 @@
+# Thirdparty common file list
+# Packages listed here will be installed if available
+# Preceeding the package name with a question mark (?foo)
+# means that failing to install that package is not a fatal error
+#debathena-thirdparty-accessories
+xtightvncviewer
+xcal
+rxvt
+nautilus-open-terminal
+eterm
+#debathena-thirdparty-audio
+mpg123
+gxmms2
+xmms2
+?xmcd
+#debathena-thirdparty-communication
+tnef
+#debathena-thirdparty-graphics
+?xdot
+inventor-data
+inventor-demo
+inventor-doc
+?inventor-dev
+?inventor-clients
+libinventor0
+imagemagick
+freeglut3 | glutg3
+freeglut3-dev | glutg3-dev
+?glut-doc
+libghc-glut-dev | libghc6-glut-dev
+libghc-glut-doc | libghc6-glut-doc
+libghc-glut-prof | libghc6-glut-prof
+libglui-dev
+libglui2c2
+inkscape
+plotutils
+gnome-mplayer
+smplayer
+mplayer-fonts
+mplayer-doc
+vlc
+mozilla-plugin-vlc
+xine-ui
+gxine
+gxineplugin
+xine-plugin
+netpbm
+libnetpbm10-dev
+xcircuit
+dia
+djvulibre-bin
+ipe
+pstoedit
+tgif
+xfig
+xfig-libs
+xfig-doc
+xpaint
+blender
+gerbv
+pdftoipe
+mgp
+graphviz
+?povray
+?povray-doc
+?povray-examples
+?povray-includes
+?sdr
+?xprint-utils
+#debathena-thirdparty-information
+ncbi-tools-x11
+wordnet
+dict
+weblint-perl
+liferea
+postgresql-client
+artha
+#debathena-thirdparty-languages
+gccgo
+jmol
+dos2unix
+mit-scheme mit-scheme-doc
+?eclipse-cdt
+?clisp-dev
+cmake
+python-all-dev
+python-numpy
+python-numpy-doc
+python-scipy
+python-matplotlib
+python-profiler
+gfortran
+gfortran-doc
+gfortran-multilib
+ant-doc
+valgrind
+jython-gcj | jython
+jython-doc
+clisp
+clisp-doc
+f2c
+ftnchek
+gcj-jdk | gcj
+gnudatalanguage
+gfortran
+ghc6
+ghc6-doc
+ghc6-prof
+ucblogo
+lua5.1
+lua5.1-doc
+ocaml
+ocaml-book-en
+ocaml-doc
+ocaml-libs
+scala
+irb
+flex
+#debathena-thirdparty-libraries
+?libatlas-base-dev
+?libatlas-sse-dev
+?libatlas-sse2-dev
+?libatlas-doc
+?libmpc2
+libcv-dev
+wine
+wine-dev
+?xulrunner-dev
+liblapack-dev
+liblapack-doc
+libblas-dev
+libblas-doc
+libmotif3 | libmotif4
+motif-clients
+gsl-bin
+gsl-doc-pdf
+gsl-ref-html
+libgsl0-dev
+libocamlgsl-ocaml
+libocamlgsl-ocaml-dev
+libcairo2-doc
+libcairomm-1.0-dev
+libcairomm-1.0-doc
+libcairo-ocaml
+libcairo-ocaml-dev
+libvtk5-dev
+libvtk5-qt4-dev
+python-pyvtk
+python-vtk
+vtk-doc
+vtk-examples
+vtk-tcl | tcl-vtk
+vtkdata
+qt4-designer
+qt4-qtconfig
+qt4-doc
+qt4-dev-tools
+libqt4-gui
+libqt4-dev
+libqt4-core
+libfftw3-3
+libfftw3-dev
+libfftw3-doc
+mffm-fftw-dev
+libginac-dev
+ginac-tools
+libcln-dev
+libitpp-dev
+libqhull-dev
+libqhull5
+qhull-bin
+libgmp3-doc | libgmp10-doc
+libgmpxx4ldbl
+python-gmpy
+libpari-dev
+libgmp-ocaml
+libgmp-ocaml-dev
+libwxbase2.6-dev
+libwxgtk2.6-dev
+wx-common
+wx2.6-doc
+libtiff4-dev
+libnspr4-dev
+libpoppler-glib-dev
+libgtksourceview-dev | libgtksourceview2.0-dev
+libnss3-dev
+liblog4net1.2-cil
+dx
+dx-doc
+dxsamples
+guile-1.8
+guile-1.8-doc
+guile-1.8-dev
+guile-cairo
+libgl1-mesa-dev
+libboost-dev
+fftw-dev
+gtk-sharp2
+libfuse-dev
+fuse-utils
+python-psycopg2
+libppl-c2 | libppl-c4
+libcurl4-gnutls-dev
+libmpfr-dev
+#debathena-thirdparty-numerical
+maxima
+xmaxima
+maxima-doc
+maxima-share
+maxima-test
+maxima-emacs
+nickle
+gnumeric
+gnumeric-doc
+gnumeric-plugins-extra
+gnuplot-doc
+octave3.2
+octave3.2-doc
+octave3.2-headers
+octave3.2-htmldoc
+octave3.2-emacsen
+pari-gp
+pari-gp2c
+pari-doc
+pari-extra
+sc
+singular
+libsingular-dev
+grace
+#debathena-thirdparty-programming
+libfltk1.3 | libfltk1.1
+libfltk1.3-dev | libfltk1.1-dev
+tcl-dev
+tk-dev
+fluid
+mono-gmcs
+boo
+mono-vbnc
+monodoc-browser
+mono-mcs
+mono-utils
+ikvm
+#debathena-thirdparty-simulation
+lp-solve
+lp-solve-doc
+liblpsolve55-dev
+glpk
+glpk-doc
+glpk-utils
+libglpk-dev
+python-glpk
+geda
+geda-gattrib
+geda-gsymcheck
+geda-utils
+geda-xgsch2pcb
+libgeda-dev
+geda-examples
+gnucap
+gspiceui
+gtkwave
+pcb
+verilog
+python-biopython
+python-biopython-doc
+wise
+wise-doc
+blast2
+clustalx
+seaview
+biosquid
+biosquid-dev
+tetgen
+pymol
+meep
+harminv
+mpb
+mpb-doc
+openbabel
+#debathena-thirdparty-sound
+sox
+libsox-dev
+rhythmbox
+#debathena-thirdparty-text
+abiword
+?abiword-plugins-gnome
+lyx
+nvi
+wv
+html2ps
+latex2html
+nedit
+xemacs21
+xpdf
+jedit
+pdfedit
+gnome-dictionary
+#debathena-thirdparty-utilities
+?amaya
+?amaya-doc
+nfs-common
+rcs
+g3data
+gnucash
+gnucash-docs
+gnupg
+pgpgpg
+gnupg-doc
+gnupg2
+recode
+recode-doc
+units
+tofrodos
+gitk
+hfsutils-tcltk
+mercurial
+subversion
+weather-util
+scratchbox2
+mtools
+dosemu
+rlwrap
+
+
+
+

Added: trunk/debathena/debathena/thirdparty/lists/lucid
===================================================================
--- trunk/debathena/debathena/thirdparty/lists/lucid	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/lists/lucid	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,5 @@
+#debathena-thirdparty-graphics
+xdot
+libmpfr1ldbl
+ironpython
+xmcd

Added: trunk/debathena/debathena/thirdparty/lists/natty
===================================================================
--- trunk/debathena/debathena/thirdparty/lists/natty	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/lists/natty	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,6 @@
+#debathena-thirdparty-graphics
+xdot
+libmpfr1ldbl
+ironpython
+dos2unix
+xmcd

Added: trunk/debathena/debathena/thirdparty/lists/precise
===================================================================
--- trunk/debathena/debathena/thirdparty/lists/precise	                        (rev 0)
+++ trunk/debathena/debathena/thirdparty/lists/precise	2013-03-07 21:46:43 UTC (rev 25843)
@@ -0,0 +1,3 @@
+-wine
+-wine-dev
+-libcv-dev


home help back first fref pref prev next nref lref last post